// File records

// displacements in mm
// rotations in radians (positive if counterclockwise)
/*---------------------------------------------------------------------------------------------------
1                         unsigned long            node_num (the number of nodes)
1                         unsigned long            nlcase   (the number of load cases)
nlcase                    unsigned long            offset in this file, i.e. location of displacements 
                                                   for each load case
nlcase                    double                   maximum displacement in module for each load case
nlcase * 6 * node_num     double                   displacements for all cases (all nodes case 1, then 
                                                   all nodes case 2, ...) 
----------------------------------------------------------------------------------------------------



Example


to read Y rotation of node "num"  for load case lcase:

unsigned long offset = (2 + nlcase ) * sizeof(unsigned long) + 
                       nlcase * sizeof(double) +
							  (lcase -1) * 6 * node_num * sizeof(double) +
							  (num-1) * 6 * sizeof(double) + 
							  4 * sizeof(double);  // tx, ty, tz, rx are skipped

FILE *fp;
// get fp to DDB
fseek(fp, offset, SEEK_SET);
fread(&roty, sizeof(double), 1, fp);

Another example:

Reads all six displacements into buffer (tx, ty, tz, rx, ry, rz)

int get_displ(DWORD node, DWORD load_case, double *buffer)
{
   unsigned long location;

	// get file_pt as FILE pointer to DDB


   if(fseek(file_pt, sizeof(unsigned long) + sizeof(unsigned long) +
                    (unsigned long)(load_case - 1) * sizeof(location), SEEK_SET) ||
                         !fread(&location, sizeof(location), 1, file_pt) ||
       fseek(file_pt, location + 6L * (unsigned long)(node - 1) * sizeof(double),
                                                                  SEEK_SET) ||
                          (fread(buffer, sizeof(double), 6, file_pt) != 6))
      return(1);
   return(0);
}

*/
